Package org.opengis.cite.iso19142.basic.filter.temporal

# Class TemporalQuery

java.lang.Object
org.opengis.cite.iso19142.basic.filter.temporal.TemporalQuery

public class TemporalQuery extends Object
Utility methods to facilitate the creation and verification of temporal queries.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemporalQuery()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<Node>`
  `extractTemporalNodes(Document rspEntity, org.apache.xerces.xs.XSElementDeclaration timeProperty, org.apache.xerces.xs.XSModel model)`
  Extracts the values of the specified temporal property from the given XML document.
  `static org.opengis.temporal.TemporalGeometricPrimitive`
  `parseTemporalValue(String value, org.apache.xerces.xs.XSTypeDefinition typeDefinition)`
  Creates a primitive temporal object from the given temporal value and type definition.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemporalQuery

    public TemporalQuery()

- ## Method Details

  - ### extractTemporalNodes

    public static List<Node> extractTemporalNodes(Document rspEntity, org.apache.xerces.xs.XSElementDeclaration timeProperty, org.apache.xerces.xs.XSModel model)
    Extracts the values of the specified temporal property from the given XML document.
    Parameters:
      `rspEntity` - A Document representing a WFS response entity containing feature instances.
      `timeProperty` - An element declaration for a temporal feature property.
      `model` - A representation of an application schema.
    Returns:
      A sequence of (element) nodes that are either (a) simple properties with temporal values as text content, or b) complex temporal values that can substitute for gml:AbstractTimeGeometricPrimitive (e.g. gml:Instant, gml:TimePeriod).

  - ### parseTemporalValue

    public static org.opengis.temporal.TemporalGeometricPrimitive parseTemporalValue(String value, org.apache.xerces.xs.XSTypeDefinition typeDefinition)
    Creates a primitive temporal object from the given temporal value and type definition.
    Parameters:
      `value` - A string representation of a temporal value.
      `typeDefinition` - A simple type definition to which the value conforms (xsd:dateTime, xsd:date, xsd:gYear, xsd:gYearMonth).
    Returns:
      A TemporalGeometricPrimitive instance (instant or period).